glibc 2.2.5 compatible Linux server library

Retired
Joined
Nov 24, 2001
Messages
692
Best answers
0
After some requests, I compiled a glibc 2.2.x compatible version of the beta 1.2.1 linux dll. It can be found at:
http://home.student.utwente.nl/h.vanwelbergen/esf/hl_i386.so
put this file in the linuxdlls dir, after installing the normal 1.2.1 patch.

This file will be put into the installer later on. If you have glibc 2.3.x, do not install this.

The library is untested, I'd like to know if it works (compiled the whole thing using a gnoppix live cd).

You can find out your glibc version by typing:
ls -al /lib/libc*
in the console
 
New Member
Joined
Jul 10, 2004
Messages
2
Best answers
0
Hi i have dloaded your hl_i.... but it start not





my glibc


Code:
([email protected])-(~/hlds/esf/linuxdlls) $ ls -al /lib/libc*
-rwxr-xr-x    1 root     root      1153784 Apr  8  2003 /lib/libc-2.2.5.so
lrwxrwxrwx    1 root     root           14 Apr 11 00:34 /lib/libc.so.5 -> libc.so.5.4.46
-rw-r--r--    1 root     root       563068 Feb  4  2002 /lib/libc.so.5.4.46
lrwxrwxrwx    1 root     root           13 Aug  2 13:34 /lib/libc.so.6 -> libc-2.2.5.so
lrwxrwxrwx    1 root     root           14 Apr  9 19:25 /lib/libcap.so.1 -> libcap.so.1.10
-rw-r--r--    1 root     root        11600 Dec 18  2001 /lib/libcap.so.1.10
lrwxrwxrwx    1 root     root           17 Apr  9 19:26 /lib/libcfont.so.0 -> libcfont.so.0.0.0
-rw-r--r--    1 root     root        11260 Nov 12  2001 /lib/libcfont.so.0.0.0
lrwxrwxrwx    1 root     root           17 Apr  9 19:25 /lib/libcom_err.so.2 -> libcom_err.so.2.0
-rw-r--r--    1 root     root         5016 Mar 22  2002 /lib/libcom_err.so.2.0
lrwxrwxrwx    1 root     root           19 Apr  9 19:26 /lib/libconsole.so.0 -> libconsole.so.0.0.0
-rw-r--r--    1 root     root        60016 Nov 12  2001 /lib/libconsole.so.0.0.0
-rw-r--r--    1 root     root        19136 Apr  8  2003 /lib/libcrypt-2.2.5.so
lrwxrwxrwx    1 root     root           17 Aug  2 13:34 /lib/libcrypt.so.1 -> libcrypt-2.2.5.so
lrwxrwxrwx    1 root     root           19 Apr  9 19:26 /lib/libctutils.so.0 -> libctutils.so.0.0.0
-rw-r--r--    1 root     root        16824 Nov 12  2001 /lib/libctutils.so.0.0.0

/lib/libc5-compat:
total 8
drwxr-xr-x    2 root     root         4096 Feb  4  2002 .
drwxr-xr-x    6 root     root         4096 Aug  2 13:34 ..
([email protected])-(~/hlds/esf/linuxdlls) $ dir
hl.so  hl_i386.so
([email protected])-(~/hlds/esf/linuxdlls) $ cd .








start

Code:
([email protected])-(~/hlds) $ ./hlds_run -game esf +ip 195.24.72.30 +port 27015 +maxplayers 12 +map esf_canyon.bsp 
Auto detecting CPU
Using Pentium II Optimised binary.
Auto-restarting the server on crash

Console initialized.
scandir failed:/home/cserver/hlds/./platform/SAVE
Protocol version 47
Exe version 1.1.2.0/Stdio (valve)
Exe build: 02:38:31 Jul  7 2004 (2738)
STEAM Auth Server
couldn't exec language.cfg
Server IP address 195.24.72.30:27015
LoadLibrary failed on ./esf/linuxdlls/hl_i386.so: ./esf/linuxdlls/hl_i386.so: undefined symbol: PM_Move
Host_Error: Couldn't get DLL API from ./esf/linuxdlls/hl_i386.so!
FATAL ERROR (shutting down): Host_Error: Couldn't get DLL API from ./esf/linuxdlls/hl_i386.so!

Add "-debug" to the ./hlds_run command line to generate a debug.log to help with solving this problem
Tue Aug  3 21:37:02 CEST 2004: Server restart in 10 seconds
Tue Aug  3 21:37:08 CEST 2004: Server Quit

([email protected])-(~/hlds) $
 

Users Who Are Viewing This Thread (Users: 0, Guests: 1)

Top